<template lang="html">
	<div class="container">
	<div class="navbar navbar-lg navbar-light bg-info">
	    <div class="navbar-brand">
	      <div class="text-white">
	        Trayectos DESTACAME
	     </div>
    </div>
    <div class="nav-links">
        <button class="btn btn-info text-light" v-on:click="gotrayecto">Trayectos</button>
        <button class="btn btn-info text-light" v-on:click="gopasajero">Pasajeros</button>
        <button class="btn btn-info text-light" v-on:click="gochofer">Choferes</button>
        <button class="btn btn-info text-light" v-on:click="gobus">Buses</button>
    </div>
  </div>
  <br>
		<div>
			<form class="row" @submit="onSubmit">
				<div class="col-md-6">
					<label class="form-control">Rut chofer</label>
					<input type="text" class="form-control" v-model.trim="form.rut_chofer">
				</div>
				<div class="col-md-6">
					<label class="form-control">Nombre Chofer</label>
					<input type="text" class="form-control" v-model.trim="form.nombre_chofer">
				</div>
				<div class="col-md-6">
					<label class="form-control">Apellido chofer</label>
					<input type="text" class="form-control" v-model.trim="form.apellido_chofer">
				</div>
				<div class="col-md-6">
					<label class="form-control">Fecha contrato</label>
					<input type="date" class="form-control" v-model.trim="form.fecha_contrato">
				</div>
				<div class="col-md-12">
					<br><br>
					<button class="btn btn-warning" type="submit">Nuevo</button>
					<button class="btn btn-danger" v-on:click="volver">Volver</button>
				</div>
			</form>
		</div>
	</div>
</template>

<script>

import axios from 'axios';

	export default {
		data() {
			return{
		        form   : {
		        	rut_chofer : '',
					nombre_chofer : '',
					apellido_chofer : '',
					fecha_contrato : ''
		        }
			}
		},
		methods: {
			onSubmit(e){
				e.preventDefault()

				const path = `http://localhost:8000/usuarios/chofer/`
				axios.post(path,this.form).then((response) => {
					this.form.rut_chofer = response.data.rut_chofer
					this.form.nombre_chofer = response.data.nombre_chofer
					this.form.apellido_chofer = response.data.apellido_chofer
					this.form.fecha_contrato = response.data.fecha_contrato
				alert("Chofer creado correctamente")
				})
				.catch((error) => {console.log(error);alert("Chofer no se pudo crear correctamente")})		
			},
			volver(){
				location.href = '/chofer'			
			},
			gotrayecto(e){
				e.preventDefault()
				location.href = '/trayecto'			
			},
			gochofer(e){
				e.preventDefault()
				location.href = '/chofer'			
			},
			gopasajero(e){
				e.preventDefault()
				location.href = '/pasajero'			
			},
			gobus(e){
				e.preventDefault()
			}
				
		},
		created(){
			this.gotrayecto()
			this.gochofer()
			this.gopasajero()
			this.gobus()
		}
	}
</script>

<style lang="css" scoped>
</style>